<?
$client = Cubix_Api_XmlRpc_Client::getInstance();

$user = Model_Users::getCurrent();
$sales_person = $user->getSalesPerson();

if ( $sales_person && ! $this->assigend ): ?>
<? return;
elseif ( $sales_person ): var_dump($sales_person); ?>
<div id="sales-chooser" onclick="$(this).get('tween', { onComplete: function () { this.destroy(); }.bind(this) }).start('opacity', 0)">
<style type="text/css">
#sales-chooser { padding: 10px; background: #fffce0; border: 1px solid #fff58b; margin: 5px 0; cursor: pointer }
#sales-chooser p { margin-top: 0; font-weight: bold }
</style>

<p>You have choosen <em><?= $sales_person['username'] ?></em> as your sales person.</p>
Click on this message to close it

</div>
<? return; endif;

$sales_persons = $client->call('Users.getSalesPersons', array());

?>

<div id="choose-sales">

<style type="text/css">
#sales-chooser { padding: 10px; background: #fffce0; border: 1px solid #fff58b; margin: 5px 0 }
#sales-chooser p { margin-top: 0; font-weight: bold }
</style>

<form id="sales-chooser" action="/<?= $this->lang() ?>/private/choose-sales" method="post">
	<input type="hidden" name="ajax" />
	<p class="tip">Please choose the sales person you would like to work with</p>
	<label for="sales-person">Sales Persons:</label>
	<select name="sales_person" id="sales-person">
		<option value="">Any sales person&nbsp;&nbsp;</option>
		<option value="" disabled="disabled">-----------------</option>
		<? foreach ( $sales_persons as $sales ): ?>
		<option value="<?= $sales['id'] ?>"><?= $sales['username'] ?>&nbsp;&nbsp;</option>
		<? endforeach; ?>
	</select>
	<button type="submit">Choose</button>
</form>

<script type="text/javascript">
$('sales-chooser').set('send', {
	evalScripts: true,
	onSuccess: function (resp) {
		new Element('div').set('html', resp).getFirst().replaces($('choose-sales'));
	}
}).addEvent('submit', function (e) { e.stop(); this.getElements('select, button').set('disabled', 'disabled'); this.send(); });
</script>

</div><? /*  sales-chooser  */ ?>
